Comment Replies
curl --request GET \
--url https://api.sociavault.com/v1/scrape/instagram/comment/replies \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.sociavault.com/v1/scrape/instagram/comment/replies"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.sociavault.com/v1/scrape/instagram/comment/replies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"success": true,
"credits_charged": 1,
"comments": {
"0": {
"id": "18277034998224667",
"text": "@nicolewaterkamp Gerade in Chemie ist die Bandbreite doch bestimmt groß. Pharmareferentin, wie bereits aufgeführt?",
"comment_like_count": null,
"child_comment_count": 0,
"created_at": "2024-06-28T06:20:32.000Z",
"parent_comment_id": "18038110327814211",
"user": {
"pk": "25621023419",
"username": "miel_2528",
"is_unpublished": null,
"profile_pic_url": "https://instagram.fhio3-1.fna.fbcdn.net/v/t51.82787-19/602649017_18117836332855420_9134228712375349223_n.jpg?stp=dst-jpg_e0_s150x150_tt6&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLmRqYW5nby4xMDgwLmMyIn0&_nc_ht=instagram.fhio3-1.fna.fbcdn.net&_nc_cat=104&_nc_oc=Q6cZ2gEWnQwJqKP3QNU4aVkqbH_GJkFI5z3w1Sps7ul5yH66pktdsO46f9y3-2Q3mPe7Hd4&_nc_ohc=J9gspJkSjakQ7kNvwH6aRoT&_nc_gid=zAilsZ4gNL8-6zMxhOmLfQ&edm=AJ3P50wBAAAA&ccb=7-5&oh=00_AQHKZKhhwln8742517qhryL_7Ar5u3nwdoNpOjjBMoBc1Q&oe=6A7235C0&_nc_sid=b02659",
"id": "25621023419",
"is_verified": false,
"fbid_v2": "17841425662592627"
}
},
"1": {
"id": "17863605315161991",
"text": "@nicolewaterkamp Da hast du wirklich breite Möglichkeiten! Die Frage ist also weniger nach Möglichkeiten, sondern eher, was interessiert dich, was ist dir wichtig, wie möchtest du arbeiten?",
"comment_like_count": null,
"child_comment_count": 0,
"created_at": "2024-06-28T09:21:43.000Z",
"parent_comment_id": "18038110327814211",
"user": {
"pk": "11878497",
"username": "isabell.probst",
"is_unpublished": null,
"profile_pic_url": "https://instagram.fhio3-1.fna.fbcdn.net/v/t51.82787-19/553587471_18529162441038498_5361906517691326048_n.jpg?stp=dst-jpg_e0_s150x150_tt6&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLmRqYW5nby42NjYuYzIifQ&_nc_ht=instagram.fhio3-1.fna.fbcdn.net&_nc_cat=106&_nc_oc=Q6cZ2gEWnQwJqKP3QNU4aVkqbH_GJkFI5z3w1Sps7ul5yH66pktdsO46f9y3-2Q3mPe7Hd4&_nc_ohc=OLNOGav6pWYQ7kNvwFNFoS8&_nc_gid=zAilsZ4gNL8-6zMxhOmLfQ&edm=AJ3P50wBAAAA&ccb=7-5&oh=00_AQFxOxOZ6Z8tMsROP1Kp1xVTCKUZ_KoCfxybfv6v0pf_Gg&oe=6A722ADD&_nc_sid=b02659",
"id": "11878497",
"is_verified": false,
"fbid_v2": "17841401154910185"
}
},
"2": {
"id": "18118112077374440",
"text": "@celi__na.x Die Pharmareferentin war übrigens Sonderpädagogin ☺️",
"comment_like_count": null,
"child_comment_count": 0,
"created_at": "2024-06-28T09:22:10.000Z",
"parent_comment_id": "18038110327814211",
"user": {
"pk": "11878497",
"username": "isabell.probst",
"is_unpublished": null,
"profile_pic_url": "https://instagram.fhio3-1.fna.fbcdn.net/v/t51.82787-19/553587471_18529162441038498_5361906517691326048_n.jpg?stp=dst-jpg_e0_s150x150_tt6&efg=eyJ2ZW5jb2RlX3RhZyI6InByb2ZpbGVfcGljLmRqYW5nby42NjYuYzIifQ&_nc_ht=instagram.fhio3-1.fna.fbcdn.net&_nc_cat=106&_nc_oc=Q6cZ2gEWnQwJqKP3QNU4aVkqbH_GJkFI5z3w1Sps7ul5yH66pktdsO46f9y3-2Q3mPe7Hd4&_nc_ohc=OLNOGav6pWYQ7kNvwFNFoS8&_nc_gid=zAilsZ4gNL8-6zMxhOmLfQ&edm=AJ3P50wBAAAA&ccb=7-5&oh=00_AQFxOxOZ6Z8tMsROP1Kp1xVTCKUZ_KoCfxybfv6v0pf_Gg&oe=6A722ADD&_nc_sid=b02659",
"id": "11878497",
"is_verified": false,
"fbid_v2": "17841401154910185"
}
}
},
"cursor": null,
"has_more": false
},
"credits_used": 1,
"endpoint": "instagram/comment_replies"
}{
"error": "Parent comment_id is required",
"endpoint": "<string>"
}{
"error": "Invalid API key",
"docs": "https://docs.sociavault.com/authentication"
}{
"error": "Insufficient credits",
"required": 123,
"available": 123
}Instagram
Comment Replies
Get replies to a specific Instagram comment. Provide the post or reel url and the parent comment_id (obtained from the Comments endpoint). Use the cursor from each response to load more replies.
GET
/
v1
/
scrape
/
instagram
/
comment
/
replies
Comment Replies
💳 1 credit per request
url and the parent comment_id (from the Comments endpoint), then use the cursor from each response to page through more replies.Authorizations
Query Parameters
The Instagram post or reel URL
Example:
"https://www.instagram.com/reel/C8rKmYvsrck"
The parent comment ID from the Comments endpoint
Example:
"18038110327814211"
Cursor for pagination. Get 'cursor' from the previous response to fetch more replies.
Example:
"QVFDc29..."
Response
Successful response
Key Response Fields:
data.comments: Replies keyed by index (0, 1, 2, ...)data.comments[0].id: Unique reply IDdata.comments[0].text: Reply text contentdata.comments[0].created_at: ISO timestamp of when the reply was posteddata.comments[0].parent_comment_id: ID of the parent comment these replies belong todata.comments[0].child_comment_count: Number of nested replies under this replydata.comments[0].user.username: Replier's Instagram usernamedata.comments[0].user.profile_pic_url: Replier's profile picture URLdata.comments[0].user.is_verified: Whether the replier is a verified accountdata.cursor: Pagination cursor — pass to thecursorparameter to fetch the next page (null when there are no more)data.has_more: Whether more replies are available
⌘I